"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChallengeSessionFromCognitoCreateAuthChallengeTriggerEvent = void 0;
const getChallengeSessionFromCognitoCreateAuthChallengeTriggerEvent = (event) => {
    const session = event.request.session.map((c) => {
        const result = {
            challengeName: c.challengeMetadata || '',
            challengeResult: c.challengeResult,
        };
        return result;
    });
    return session;
};
exports.getChallengeSessionFromCognitoCreateAuthChallengeTriggerEvent = getChallengeSessionFromCognitoCreateAuthChallengeTriggerEvent;
